Address Geocode Match Advanced
Address geocoding, or simply geocoding, is the process of taking a text-based description of a location, such as an address or the name of a place, and returning geographic coordinates, frequently latitude/longitude pair, to identify a location on the Earth's surface. The Address geocode match advanced api takes in the address and returns enriched information about the address.
API Description
API cURL
curl --location 'https://api.signzy.app/api/v3/geocoding/address-geocoder-advanced' \
--header 'Authorization: <Auth Toke>' \
--header 'Content-Type: application/json' \
--data-raw '{
"address": "",
"latitude": "",
"longitude": ""
}'
Request body parameters
Parameter | Data Type | Description | Required |
|---|---|---|---|
address | String | The address information | Mandatory |
latitude | String | Latitude coordinate. It will be utilized alongside the coordinates provided by the API to determine the distance between the two sets of coordinates. Needs to be used with longitude. | Conditionally Mandatory |
longitude | String | Longitude coordinate. It will be utilized alongside the coordinates provided by the API to determine the distance between the two sets of coordinates. Needs to be used with latitude. | Conditionally Mandatory |
Request body
{
"address": "",
"latitude": "",
"longitude": ""
}
In case lat is present then long should be present and vice versa
Response body Json
{
"address": " ",
"latitude": " ",
"longitude": " ",
"confidenceScore": ,
"city": " ",
"state": " ",
"stateCode": " ",
"country": " ",
"countryCode": " ",
"zipcode": " ",
"distanceInKms": "",
"point1": {
"digipin": " ",
"latitude": ,
"longitude": ,
"pincode": ,
"officeName": ,
"division": ,
"region": ,
"circle": ,
"internationalBorder": ,
"borderState": “”,
"borderCountry":””,
"outsideIndia":
},
"point2": {
"digipin": " ",
"latitude": ,
"longitude": ,
"pincode": " ",
"officeName": " ",
"division": " ",
"region": " ",
"circle": " ",
"internationalBorder": ,
"borderState": “ ”,
"borderCountry":” ”,
"outsideIndia": ,
}
}Note: Here Point 1 will be the input lat long and this will be used to fetch all the details of point 1. Point 2 will be ouptut lat long.
Response body parameters
Parameter | Data type | Description |
|---|---|---|
address | String | The complete address including location details |
latitude | String | The latitude coordinate of the address |
longitude | String | The longitude coordinate of the address |
confidenceScore | Float | The confidence score of the returned coordinates. 1 means precise street address location information, 0.9 means approximations based on road intersections. 0.7 means centered on a location's geometry. 0.5 means broadly estimated. |
region | String | The region name |
city | String | The city name |
state | String | The state name |
stateCode | String | The state code |
country | String | The country name |
countryCode | String | The country code |
zipcode | String | The postal code or ZIP code |
distanceInKms | String | Distance in kilometers from the latitude and longitude provided in the input request body. |
point1.digipin | String | DIGIPIN for point 1 (converted if input was coordinates) |
point1.latitude | Number | Latitude of point 1 |
point1.longitude | Number | Longitude of point 1 |
point1.pincode | String | Resolved pincode for point 1 |
point1.officeName | String | Postal office name for point 1 |
point1.division | String | Postal division |
point1.region | String | Postal region |
point1.circle | String | Postal circle |
point1.internationalBorder | Boolean | Whether point 1 is in international border area |
point1.borderState | String | International border State |
point1.borderCountry | String | International border Country |
point1.outsideIndia | Boolean | If the point is outside india |
point2.digipin | String | DIGIPIN for point 2 (converted if input was coordinates) |
point2.latitude | Number | Latitude of point 2 |
point2.longitude | Number | Longitude of point 2 |
point2.pincode | String | Resolved pincode for point 2 |
point2.officeName | String | Postal office name for point 2 |
point2.division | String | Postal division |
point2.region | String | Postal region |
point2.circle | String | Postal circle |
point2.internationalBorder | Boolean | Whether point 2 is in international border area |
point2.borderState | String | International border State |
point2.borderCountry | String | International border Country |
point2.outsideIndia | Boolean | If the point is outside india |
Status Code:
Code | status | Description |
|---|---|---|
200 | Success | The request id was successfully generated. |
400 | Bad Request | Invalid input data |
409 | Upstream Error | Error in fetching data from upstream. |
500 | Internal Server Error | Something is broken. This is usually a temporary error, for example in a high-load situation.or if an endpoint is temporarily having issues. Try again later. |
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!